import request from '@/utils/request'

/**
 * 项目列表
 * @param {*} query 
 * @returns 
 */
export function selectDataProject(data) {
  return request({
    url: '/core/tdataproject/selectDataProject',
    method: 'post',
    data: data
  })
}

export function checkProjectNum(data) {
  return request({
    url: '/core/tdataproject/checkProjectNum',
    method: 'post',
    data: data
  })
}
export function getdatascopeprojectlist(data) {
  return request({
    url: '/core/datascopeproject/getdatascopeprojectlist',
    method: 'post',
    data: data
  })
}
export function checkDatasystemName(data) {
  return request({
    url: '/core/tdataproject/checkDatasystemName',
    method: 'post',
    data: data
  })
}

export function checkDatasystem(data) {
  return request({
    url: '/core/tdataproject/checkDatasystem',
    method: 'post',
    data: data
  })
}


export function queryByEditSort(data) {
  return request({
    url: '/core/tdatasource/queryByEditSort',
    method: 'post',
    data: data
  })
}
export function selectProDataSource(data) {
  return request({
    url: '/core/tdatasource/selectProDataSource',
    method: 'post',
    data: data
  })
}

export function queryShemas(data) {
  return request({
    url: '/core/searchsensitivedata/queryShemas',
    method: 'post',
    data: data
  })
}


